<?= $this->doctype(); ?>
<html>
    <head>
        <?php
        echo $this->headTitle();
        echo $this->headMeta();
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/standard.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/eshop.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/admin.css');
        $this->headLink()->prependStylesheet($this->baseUrl() . '/css/article.css');
        $this->headScript()->appendFile($this->baseUrl() . 'http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js');
        $this->headScript()->appendFile($this->baseUrl() . '/plugins/tiny_mce/tiny_mce.js');
        $this->headLink(Array('rel' => 'icon', 'href' => '/graphics/favico-admin.ico', 'type' => 'image/x-icon'));
        echo $this->headLink();
        echo $this->headScript();
        //Zend dojo (date picker)
        //echo $this->dojo();
        //echo $this->dojo()->addStylesheetModule('dijit.themes.tundra');
        ?>    
        <link href='http://fonts.googleapis.com/css?family=Roboto+Slab&subset=latin,latin-ext' rel='stylesheet' type='text/css'>
        <script type="text/javascript" src="/javascript/csspopup.js"/></script>
    <script type="text/javascript">
        tinyMCE.init({
            forced_root_block: false,
            force_br_newlines: true,
            force_p_newlines: true,
            element_format: "html",
            entity_encoding: "raw",
            // General options
            language: 'cs',
            mode: "textareas",
            theme: "advanced",
            width: "776px",
            plugins: "safari,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
            // Theme options
            /*
             theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,fontselect,fontsizeselect",
             theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,code,|,forecolor,backcolor",
             theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,iespell,media,advhr",
             theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak,|,insertfile,insertimage",
             */
            theme_advanced_buttons1: "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,formatselect,|,bullist,numlist,|,code,removeformat",
            theme_advanced_buttons2: "cut,copy,paste,pastetext,pasteword,|,search,replace,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup",
            theme_advanced_buttons3: "tablecontrols,|,hr,visualaid,|,sub,sup,|,charmap,iespell,media,advhr,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,blockquote,|,insertfile,insertimage",
            theme_advanced_toolbar_location: "top",
            theme_advanced_toolbar_align: "left",
            theme_advanced_statusbar_location: "bottom",
            theme_advanced_resizing: true,
            save_callback: "myCustomSaveContent"

        });
    </script>
</head>
<body class="tundra">
    <div id="backgroundpiece">&nbsp;</div>
    <div id="centerpiece">
        <!-- Begin Header -->
        <div id="header">		 
            <h1 id="title">Pivovarský klub - ADMINISTRACE</h1>
        </div>
        <div id="navigation">
            <?php
            $user = Zend_Auth::getInstance()->getIdentity();
            if (!empty($user->user_name)) {
                echo "Přihlášen jako: $user->user_name Práva: $user->user_role";
                ?>
                <a href="/admin/authentication/logout">
                    [odhlásit]
                </a>    
            <?php } ?>  
        </div>
        <!-- Begin Left Column -->
        <div id="leftcolumn">	
            <?php
            if (isset($user)) {
                $groupstart = true;
                $groupend = false;
                $group = null;
                foreach ($this->menuitems as $value) {
                    if (!empty($value[$this->lang])) {
                        $show = false;
                        if (empty($group)) {
                            $group = $value['group'];
                        }
                        switch ($user->user_role) {
                            case 'superadmin':
                                if ($value['access'] == 'superadmin') {
                                    $show = true;
                                }
                            case 'admin':
                                if ($value['access'] == 'admin') {
                                    $show = true;
                                }
                            case 'editor':
                                if ($value['access'] == 'editor') {
                                    $show = true;
                                }
                        }
                        if ($group == $value['group']) {
                            
                        } else {
                            $group = $value['group'];
                            $groupend = true;
                            $groupstart = true;
                        }
                        if ($groupend && $show) {
                            $groupend = false;
                            ?>
                            </ul>
                            <?php
                        }
                        if ($groupstart && $show) {
                            $groupstart = false;
                            ?>
                            <h5><?= $group ?></h5>
                            <ul class="menulist">
                                <?php
                            }
                            if ($show) {
                                ?>
                                <li> 
                                    <a href="<?= $value['link'] ?>"><?= $value[$this->lang] ?></a>
                                </li>
                            <?php
                            }
                        }
                    }
                }
                ?>
        </div>
        <!-- Begin Right Column -->
        <div id="rightcolumn">
            <div id="content">
                <div class="padding10">
<?php echo $this->layout()->content; ?>
                </div>
            </div>
        </div>
        <div id="footer">&nbsp;  
        </div>
    </div>
    <?php
    /* debug box lze vypnout v configu změnou parametru settings.debug.debugbox */
    if ($this->debugbox) {
        echo "<div id='debugbox'>";
        echo "<h1>Debug:</h1>";
        echo "<p>debug box lze vypnout v configu změnou parametru settings.debug.debugbox</p>";
        if (!empty($this->errormessage)) {
            echo "<p>";
            $i = 0;
            foreach ($this->errormessage as $value) {
                echo "error $i: " . $value . "<br/>";
                $i++;
            }
            echo "</p>";
        } else {
            echo "<p>No error message.</p>";
        }
        echo "<pre>";
        print_r($this->selected);
        echo "</pre></div>";
    }
    ?>  
</body>
</html>